tebarDocs
GuideDevelopersAPI ReferenceChangelog
Ideas

Rename or move a column

PATCH
/v1/idea-columns/{id}

Requires the write scope.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Path Parameters

id*string
Formatuuid

Header Parameters

Tebar-Profile?string

Limits an owner key to one profile (id or external_id). Unknown: 404 profile_not_found.

Request Body

application/json
  1. body
name?string
Length1 <= length <= 50
before_id?string
Formatuuid
after_id?string
Formatuuid

Response Body

The column.

application/json
  1. response
id*string
Formatuuid
name*string
Example Request
curl -X PATCH 'https://api.tebar.app/v1/idea-columns/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string"
}